Installation

  1. Unzip this package in an empty directory.
  2. Using you favorite FTP client, upload those files to their directory on your server.
    It should be : /your-wordpress-root/wp-content/plugins/
  3. Go to your Administration panel, in the Plugins section, and activate mCatFilter.
  4. You’re done !

Upgrading from any previous version

WordPress 2.5+ users should be able to automatically update the plugin directly from their Dashboard.

  1. Go to your Administration panel, in the Plugins section, and deactivate mCatFilter.
  2. Replace all mCatFilter files by those of your installation package.
  3. Go to your Administration panel, in the Plugins section, and activate mCatFilter.
  4. You’re done !

Localization

Language packs are provided in the archive and are automatically set up to match your blog’s settings.

French is the only alternative language supported yet.
If you want to provide additionnal language packs, create a .po file using poEdit and the .pot template file provided in the archive. Send us the resulting file and we will add it in the archive.

System Recommendations

  • WordPress 2.1 or later version
  • PHP version 4.3.0 or higher

Usage

By default, mCatFilter does not exclude any category. To select excluded categories, proceed as follow :

  1. Go to your Administration panel
  2. Go to your mCatFilter page
  3. Check any category you want to exclude from the list
  4. Click “Save changes” button
  5. You’re done ! Selected categories should be excluded from default queries

From version 0.2, you can also select/deselect a category for exclusion from the edit category form.

Known issues

None at this time.

License

mCatFilter, as WordPress, is released under the GNU GPL v2.
Permission to use, copy, modify, and distribute this software and its documentation under the terms of the GNU General Public License is hereby granted. No representations are made about the suitability of this software for any purpose. It is provided “as is” without express or implied warranty.

Comments

5 comments on “Documentation”

  • On the 29th of April 2011 at 7:13am,
    Davidge said:
    @Christophe: It works! Thank you very much for very fast response.

    Reply

  • On the 28th of April 2011 at 7:20pm,
    Christophe said:
    @Davidge : This bug is fixed with version 0.4.2, available immediately. Thanks for the report.

    Reply

  • On the 28th of April 2011 at 8:22am,
    Davidge said:
    Hi, same issue here. The plugin works fine until I click on "Save changes" button. Then I get "Warning: array_key_exists() expects parameter 2 to be array, null given in /wp-content/plugins/mcatfilter/mcatfilter.php on line 81" on each line. Reloading the page fixes it. I have WP 3.1.1, MySQL 5.5.11, PHP 5.3.6. Anyway, thanks for this plugin!

    Reply

  • On the 30th of September 2010 at 4:53pm,
    Bastien said:
    New issue! (Warnings) Hello, I write you a message because I juste instal your plugin and i get 2 warnings : - first one Warning: unserialize() expects parameter 1 to be string, object given in C:\wamp\www\WordPress\wp-content\plugins\mcatfilter\mcatfilter.php on line 128 -the second one Warning: array_key_exists() expects parameter 2 to be array, null given in C:\wamp\www\WordPress\wp-content\plugins\mcatfilter\mcatfilter.php on line 81 except this, very nice plugin :) thanks a lot to maintain it :)

    Reply

    • On the 13th of October 2010 at 7:12pm,
      Christophe said:
      @Bastien : We have replied by e-mail concerning the two errors you're reporting, but we did not get back an answer from you yet.

      Reply

Leave a Reply

Your email address will not be published. Required fields are marked *